# Reference a voice tool

References a voice tool for the current tenant

Source: https://zild.ai/en-US/docs/api-reference/post-api-Agent-voice-tools

POST `/Agent/voice-tools`

References a voice tool for the current tenant

## Authentication

**Authentication required.** Send your user API key in the X-API-Key header.

## Parameters

This operation has no path, query, or header parameters.

## Request body

**Content type:** `application/json` · **Schema:** `AgentVoiceToolReferenceDto`



<table class="api-params"><thead><tr><th>Property</th><th>Type</th><th>Required</th><th>Description</th><th>Constraints</th></tr></thead><tbody><tr><td><code>agentId</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>toolId</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr></tbody></table>



## Example request



```
curl --request POST \
  --url 'https://api.zild.ai/Agent/voice-tools' \
  --header 'X-API-Key: YOUR_USER_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "agentId": 0,
  "toolId": "string"
}'
```



## Responses



<table class="api-params"><thead><tr><th>Status</th><th>Description</th><th>Response body</th></tr></thead><tbody><tr><td><code>200</code></td><td>Successfully referenced voice tool</td><td><code>application/json</code> · <code>AgentVoiceToolDto</code></td></tr></tbody></table>

**Example response (200):**



```
{
  "id": "string",
  "name": "string",
  "description": "string",
  "isTenantReference": true
}
```



## Data models

`AgentVoiceToolDto`

<table class="api-params"><thead><tr><th>Property</th><th>Type</th><th>Required</th><th>Description</th><th>Constraints</th></tr></thead><tbody><tr><td><code>id</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>name</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>description</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>isTenantReference</code></td><td><code>boolean</code></td><td>No</td><td>—</td><td>—</td></tr></tbody></table>

`AgentVoiceToolReferenceDto`

<table class="api-params"><thead><tr><th>Property</th><th>Type</th><th>Required</th><th>Description</th><th>Constraints</th></tr></thead><tbody><tr><td><code>agentId</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>toolId</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr></tbody></table>
